| Kea 3.0.2-git

configuration.h File Reference
`#include <cc/base_stamped_element.h>`
`#include <cc/data.h>`
`#include <dhcp/classify.h>`
`#include <dhcpsrv/srv_config.h>`
`#include <dhcpsrv/subnet_id.h>`
`#include <limits>`
Include dependency graph for configuration.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | isc::limits::AddressLimitConfiguration
| the configuration manager for address limiting More...
struct | isc::limits::Configuration< limit_t >
| a datastore used for configuring functionally dedicated parts of the limits library More...
struct | isc::limits::PrefixLimitConfiguration
| the configuration manager for prefix limiting More...
struct | isc::limits::RateLimit
| a single rate-limiting entry configured as "rate-limit": "<n> packet[s] per <time-unit>" More...
struct | isc::limits::RateLimitConfiguration
| the configuration manager for rate limiting More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::limits

## Typedefs
using | isc::limits::LeaseLimit = uint32_t
| a single lease-limiting entry configured as an integer